<?php

/*
Plugin Name: Avactis Shopping Cart and Affiliate Widget
Plugin URI: http://www.avactis.com/
Description: Avactis Shopping Cart Affiliate Widget for Wordpress. Using this plugin you can integrate Avactis Shopping cart to your Wordpress blog or to the blog of your affiliates and track the orders using the Affiliate ID parameter.
Author: Pentasoft Corp.
Author URI: http://www.avactis.com/
Version: 1.3
*/

// Activation

register_activation_hook( __FILE__, 'avactis_activate' );

	function avactis_activate() {
			add_option("avactis_path", 'http://demo.avactis.com/1.9.0-widget/widget.js', '', 'yes'); // Path to Avactis demo store
			add_option("avactis_aid", 'My_Wordpress_Blog', '', 'yes'); // Default Affiliate ID (AID) of the Avactis Widget
			add_option("avactis_layout", 'Horizontal', '', 'yes'); // Horizontal or vertical orientation of Avactis Widget in WordPress blog
			add_option("avactis_page_id", '', '', 'yes'); // Page ID for Avactis
	}

// Deactivation

register_deactivation_hook( __FILE__, 'avactis_deactivate' );

	function avactis_deactivate() {
			$avactis_page_id = get_option("avactis_page_id");

			$avactis_page_check = NULL;
	
			if (!empty($avactis_page_id)) { 
		
				$avactis_page_check = get_page($avactis_page_id);

				if ($avactis_page_check !== NULL) {
					$my_post = array();
					$my_post['ID'] = $avactis_page_id;
					$my_post['post_status'] = 'draft';
					
					wp_update_post( $my_post );
				} 			
				
				if ($avactis_page_check == NULL) {
					update_option('avactis_page_id', '');	
				}

			}
			
	}

// Initialization

add_action('admin_init', 'avactis_settings_init');

function avactis_settings_init() {

	register_setting('avactis_options_page', 'avactis_path');
    register_setting('avactis_options_page', 'avactis_aid');
	register_setting('avactis_options_page', 'avactis_layout');
	
	$content = 
<<<EOT
<!-- Avactis Shopping Cart Affiliate Widget for Wordpress -->
[Please activate Avactis shoping cart plugin in your Wordpress blog]
<!-- / Avactis Shopping Cart Affiliate Widget for Wordpress -->

Avactis Shopping Cart Affiliate Widget for Wordpress.

If you want to get more information about Avactis Shopping Cart and its affiliate and eMarkeiting features, please visit our site <a href="http://www.avactis.com">www.avactis.com</a>

EOT;

	$avactis_page_id = get_option("avactis_page_id");
	$avactis_page_check = NULL;

	// Check if page is available or not
	
	if (!empty($avactis_page_id)) {
		$avactis_page_check = get_page($avactis_page_id);
	}

	// If not available
	
	if ($avactis_page_check !== NULL) {
	
		$my_post = array();
		$my_post['ID'] = $avactis_page_id; 
		$my_post['post_status'] = 'publish';
		
		wp_update_post( $my_post );

	} 
	
	// If available
	
	if ($avactis_page_check == NULL) {

		$my_post = array();
		$my_post['post_title'] = 'Store';
		$my_post['post_content'] = $content;
		$my_post['post_status'] = 'publish';
		$my_post['post_author'] = "1";
		$my_post['post_type'] = "page";
		$avactis_page_id = wp_insert_post( $my_post );
		
		update_option('avactis_page_id', $avactis_page_id);
	}
	
}

// General functions & Shortcodes

add_shortcode('Please activate Avactis shoping cart plugin in your Wordpress blog', 'add_avactis_widget');

function get_avactis_path() {
        $avactis_path = get_option('avactis_path');
        if (empty($avactis_path)) {
			$avactis_path = "http://demo.avactis.com/1.9.0-widget/widget.js";
		}
return $avactis_path;
} 

function get_avactis_aid() {
        $avactis_aid = get_option('avactis_aid');
        if (empty($avactis_aid)) {
			$avactis_aid = "from_widget";
		}
return $avactis_aid;
} 

function get_avactis_layout() {
        $avactis_layout = get_option('avactis_layout');
        if (empty($avactis_layout)) {
			$avactis_layout = "Horizontal";
		}
return $avactis_layout;
} 

function add_avactis_widget() {
		$avactis_path = get_avactis_path();
		$avactis_aid = get_avactis_aid();
		$avactis_layout = get_avactis_layout();
		return "
		<script language=\"javascript\">
			avactis_path_js=\"$avactis_path\";
			AID=\"$avactis_aid\";
			layout=\"$avactis_layout\";
		</script>
		<script type=\"text/javascript\" src=\"$avactis_path\">
		</script>";
}

// Admin zone message

add_action('admin_notices', 'avactis_is_enabled_message');

function avactis_is_enabled_message() {
		if (get_avactis_path() != "http://demo.avactis.com/1.9.0-widget/widget.js")
			return;
		echo "<div id='' class='updated fade'><p><strong>Avactis Shopping Cart Affiliate Widget is configured to show DEMO products</strong>. Please change the plugin settings to your own at <a href='options-general.php?page=avactis_options_page'>Configure Avactis Shopping Cart plugin</a> page.</p></div>";
}

// Configuration page

add_action('admin_menu', 'avactis_options_add_page');

function avactis_options_add_page() {
	add_options_page('Avactis shopping cart settings', 'Avactis shopping cart', 'manage_options', 'avactis_options_page', 'avactis_options_do_page');
}

function avactis_options_do_page() {

/*
	$avactis_page_id = get_option("avactis_page_id");
	$avactis_check_page = null;

	if (!empty($avactis_page_id)) {
       $avactis_check_page = get_page($avactis_page_id);
       $content = $avactis_check_page->post_content;
	   
    if ( (strpos($content, "[avactis_path]") === false) && (strpos($content, "Not configured") !== false) )
               $disabled = true;
    }
*/

	?>
					<div class="wrap">
					<h2>Avactis settings</h2>
					<form method="post" action="options.php">

							<?php 
							settings_fields('avactis_options_page'); 
							$avactis_path = get_avactis_path();
							$avactis_aid = get_avactis_aid();
							$avactis_layout = get_avactis_layout();
							?>

							<table class="form-table">
							<tr>
							<td>
							
									<h3>Path Avactis Shopping Cart Affiliate Widget .JS code:</h3> <input type="text" name="avactis_path" size="80" value="<?php echo $avactis_path; ?>" />

									<h3>Affiliate ID for Orders tracking:</h3> <input type="text" name="avactis_aid" size="40" value="<?php echo $avactis_aid; ?>" />				
									
									<h3>Horizontal or Vertical layout:</h3>
									<select name="avactis_layout">
									<?php $layout = get_avactis_layout(); ?>
									<option value="Horizontal" <?php if ($layout == "Horizontal") { echo "SELECTED"; } ?> >Horizontal</option>
									<option value="Vertical"   <?php if ($layout == "Vertical")   { echo "SELECTED"; } ?> >Vertical</option>
									</select>		
									
							<p class="submit">
							<input type="submit" class="button-primary" value="<?php _e('Apply Changes') ?>" />
							</p>			
							<h3>Avactis Shopping Cart Affiliate Widget instructions</h3>
							<p>To install the Avactis Shopping Cart Affiliate Widget you need:</p>
							
									<ul style="padding-left:30px;list-style-type:disc;">
									<li> Enter correct path to the <b>wigdet.js</b> file (which is located in storefront of Avactis Shopping cart installation) </li>
									<li> Enter <b>Affiliate ID (AID)</b> code to the plugin options and track the sales directly from Avactis Shopping Cart administration zone</li>
									<li> If you want to get more information about Avactis Shopping Cart and its affiliate and eMarkeiting features, please visit our site <a href="http://www.avactis.com">www.avactis.com</a> </li>
									</ul>
									
							<p>If you have any questions, feel free to contact our <a href="https://www.avactis.com/support.php">Support Team</a>. Your message will be send via secure HTTPS connection, we will respond to your enquiry or request within 12-48 hours.</p>
							</td>
							</tr>
							</table>		
					</form>
					</div>
					
		<?php
		
}

?>